# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.331   -> 1.332  
#	drivers/usb/hcd/ohci-hcd.c	1.4     -> 1.5    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/02/13	paulus@samba.org	1.332
# [PATCH] USB OHCI powerbook fix (v2.5.4)
# 
# The patch below fixes a compile problem in the USB OHCI HCD driver on
# powerbooks, namely that the ohci_hcd structure doesn't have an irq
# member.
# 
# Paul.
# --------------------------------------------
#
diff -Nru a/drivers/usb/hcd/ohci-hcd.c b/drivers/usb/hcd/ohci-hcd.c
--- a/drivers/usb/hcd/ohci-hcd.c	Wed Feb 13 17:51:00 2002
+++ b/drivers/usb/hcd/ohci-hcd.c	Wed Feb 13 17:51:00 2002
@@ -662,7 +662,7 @@
 		
  #ifdef CONFIG_PMAC_PBOOK
 	if (_machine == _MACH_Pmac)
-		disable_irq (ohci->irq);
+		disable_irq (hcd->pdev->irq);
  	/* else, 2.4 assumes shared irqs -- don't disable */
  #endif
 
@@ -836,7 +836,7 @@
 
  #ifdef CONFIG_PMAC_PBOOK
 		if (_machine == _MACH_Pmac)
-			enable_irq (ohci->irq);
+			enable_irq (hcd->pdev->irq);
  #endif
 		if (ohci->hcca->done_head)
 			dl_done_list (ohci, dl_reverse_done_list (ohci));
